/* Blog Card */
.blog_card {
    position: relative;
    margin-bottom: 15%;
    cursor: pointer;
}
.blog_card .blog_img_wrapper {
    aspect-ratio: 1/0.8;
}

.blog_card .blog_img_wrapper .blog_img {
    width: 100%;
    height: 100%;
    object-fit: fill;
    border-radius: 10px;
}

.blog_card .blog_overlay {
    background: #EFF4FF;
    border-radius: 10px;
    padding: 15px;
    color: #202020;
    position: absolute;
    bottom: 0;
    right: 0;
    left: 0;
    transform: translateY(30px);
    width: 380px;
    margin: auto;
    transition: all 0.3s;
}
.blog_card:hover .blog_overlay {
    background: #6b4085;
    color: #ffffff;
}
.blog_card .blog_overlay .blog_title {
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 20px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    -webkit-box-orient: vertical;
}

.blog_card .blog_overlay .blog_footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.blog_card .blog_overlay .blog_footer .blog_date {
    font-size: 12px;
    font-weight: 600;
}

.blog_card .blog_overlay .blog_footer .blog_link {
    font-size: 12px;
    font-weight: 600;
    color: #6b4085;
}
.blog_card:hover .blog_overlay .blog_footer .blog_link {
    color: #fff;
    text-decoration: underline;
}

/* ========== Responsive ========== */

@media (min-width:0px) and (max-width: 574px) {
    .blog_card .blog_overlay {
        width: 90%;
    }

    .blog_card .blog_overlay .blog_title {
        font-size: 14px;
        margin-bottom: 10px;
    }
}

@media (min-width: 575px) and (max-width: 767px) {
    .blog_card .blog_overlay {
        width: 95%;
    }

    .blog_card .blog_overlay .blog_title {
        font-size: 13px;
        margin-bottom: 10px;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .blog_card .blog_overlay {
        width: 300px;
    }

    .blog_card .blog_overlay .blog_title {
        font-size: 15px;
        margin-bottom: 10px;
    }
}

@media (min-width: 992px) and (max-width: 1199px) {
    .blog_card .blog_overlay {
        width: 250px;
    }

    .blog_card .blog_overlay .blog_title {
        font-size: 14px;
    }
}

@media (min-width: 1200px) and (max-width: 1399px) {
    .blog_card .blog_overlay {
        width: 300px;
    }
}